Subject: RE: FVWM: installation problem

From: "Hermes, Stefan" <[email-masked]>
Date: Wed, 26 Aug 1998 09:47:44 +0100

It seems the compiler options specified are generated by a standard Solaris
2.5.1
imake configuration file, which assumes Sun CC to be present. either use Sun
CC,
or adjust  your /usr/openwin/lib/config/site.def to include HasGcc2 
(see /usr/openwin/lib/config/sun.cf to see why).
If both of these aren't valid options, use your own xmkmf pointing to your
own
configuration files. If you don't know how to do this, there should be a
script to
generate makefiles for fvwm which will help you out in this case, but
doesn't with
other xmkmf requiering applications.

Regards,
	-Stefan

CREDIT  |  FIRST                	Stefan Hermes
SUISSE  |  BOSTON           	Front Office Technical Services
Messeturm		Tel:	+49 (69)  7538  2246
60308 Frankfurt/M	Fax:	+49 (69)  7538  2700
Germany			Mobile:	+49 (172)   691 8886
			E-Mail:	[email-masked]
<mailto:[email-masked]>  

"Women and cats will do as they please, and men and dogs should relax
and get used to the idea."  -- Robert A. Heinlein

	-----Original Message-----
	From:	Dipl.-Ing. Ashu Akoachere [SMTP:[email-masked]]
	Sent:	Wednesday, August 26, 1998 10:27 AM
	To:	Surya Pratik Saha
	Cc:	[email-masked]
	Subject:	Re: FVWM: installation problem

	You,ve probably run into problems with your compiler options. I
would
	specify only the options that are necessary in the Makefile. Also,
the
	"-xF" seems to have been specified twice. Hope this helps.

	Cheers,
	Ashu

	On Wed, 26 Aug 1998, Surya Pratik Saha wrote:

	> Date: Wed, 26 Aug 1998 11:15:03 +0900
	> From: Surya Pratik Saha <[email-masked]>
	> To: [email-masked]
	> Subject: FVWM: installation problem
	> 
	> Hi,
	>  To install fvwm in my machine ( SunOS 5.5.1 Generic_ sun4m) I got
this
	> type of error:
	> 
	> ----------------------------
	> making all in ./modules/FvwmScroll...
	> make[1]: Entering directory
	> `/delsoft/spsaha/fvwm/fvwm-1.24r/modules/FvwmScroll'
	> gcc -O -xF -DSYSV -DSVR4 -xF -Wa,-cg92   -I/usr/openwin/include
-DSVR4
	> -DSYSV      -c FvwmScroll.c -o FvwmScroll.o
	> gcc: language F not recognized
	> /usr/local/sparc-sun-solaris2.5.1/bin/as: unrecognized option
`-cg92'
	> make[1]: *** [FvwmScroll.o] Error 1
	> make[1]: Leaving directory
	> `/delsoft/spsaha/fvwm/fvwm-1.24r/modules/FvwmScroll'
	> -----------------------------
	> What is the remedy for that? Please mail me back.
	> Regards
	> Surya.
	> 
	> --
	> ###############################################
	> #           Surya Pratik Saha                 #
	> #           Software Engineer                 #
	> #           Delsoft (India) Pvt. Ltd.         #
	> #           Module No. 428-429, STP,          #
	> #           SDF Building, Bidhan Nagar.       #
	> #           Salt Lake, Calcutta.              #
	> #           West Bengal, India-700091         #
	> #           E-mail: [email-masked]        #
	> #           Ph: (91)(33)3573218,3573220.      #
	> ###############################################
	> 
	> 
	> 
	> --
	> Visit the official FVWM web page at
<URL:http://www.hpc.uh.edu/fvwm/>.
	> To unsubscribe from the list, send "unsubscribe fvwm" in the body
of a
	> message to [email-masked].
	> To report problems, send mail to [email-masked].
	> 

----------------------------------------------------------------------------
----
	|Tel:	++ 44116 252 2874     |	Ashu Akoachere
|   
	|     	++ 44116 252 2567     |	Control Systems Research Group
|
	|Home:  ++ 44116 234 1668     |	Department of Engineering
| 
	|Fax:   ++ 44116 236 7862     | Leicester University
|
	|Email:  [email-masked] | University Road, Leicester LE1 7RH
| 
	
----------------------------------------------------------------------------
----

	--
	Visit the official FVWM web page at
<URL:http://www.hpc.uh.edu/fvwm/>.
	To unsubscribe from the list, send "unsubscribe fvwm" in the body of
a
	message to [email-masked].
	To report problems, send mail to [email-masked].
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].